#!/bin/sh
echo 'name: SafeSemaphore
version: 0.9.0
id: SafeSemaphore-0.9.0-00184ec45599ea6aa435939d49c94406

license: BSD3
copyright:
maintainer: Chris Kuklewicz <haskell@list.mightyreason.com>
stability:
homepage: https://github.com/ChrisKuklewicz/SafeSemaphore
package-url:
synopsis: Much safer replacement for QSemN, QSem, and SampleVar
description: This provides a much safer semaphore than the QSem, QSemN, SampleVar in base.
             Those base modules are not exception safe and can be broken by killThread.
             See <https://github.com/ChrisKuklewicz/SafeSemaphore> for more details.
category: Concurrency
author: Chris Kuklewicz <haskell@list.mightyreason.com>
exposed: True
exposed-modules: Control.Concurrent.MSem Control.Concurrent.MSemN
                 Control.Concurrent.MSemN2 Control.Concurrent.MSampleVar
                 Control.Concurrent.FairRWLock Control.Concurrent.SSem
                 Control.Concurrent.STM.SSem
hidden-modules: Control.Concurrent.STM.SSemInternals
trusted: False
import-dirs: /usr/local/lib/ghc-7.4.2/cabal/SafeSemaphore-0.9.0
library-dirs: /usr/local/lib/ghc-7.4.2/cabal/SafeSemaphore-0.9.0
              /usr/local/lib
hs-libraries: HSSafeSemaphore-0.9.0
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.5.1.0-12fddc14a7babb909dd3843e453b5660
         containers-0.4.2.1-efa59805336a77490296ae3897cecb87
         stm-2.4-7929e2354ddb937b8bf4d18cb0816e56
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.4.2/cabal/SafeSemaphore-0.9.0/html/SafeSemaphore.haddock
haddock-html: /usr/local/share/doc/ghc-7.4.2/cabal/SafeSemaphore-0.9.0/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
